Package: io.vertx.groovy.core.buffer

## [Groovy] Class Buffer

- io.vertx.groovy.core.buffer.Buffer

- Most data is shuffled around inside Vert.x using buffers.

  A buffer is a sequence of zero or more bytes that can read from or written to and which expands automatically as necessary to accommodate any bytes written to it. You can perhaps think of a buffer as smart byte array.

  Please consult the documentation for more information on buffers.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Buffer (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Buffer` | `appendBuffer(Buffer buff)` Appends the specified `Buffer` to the end of this Buffer.
    `Buffer` | `appendBuffer(Buffer buff, int offset, int len)` Appends the specified `Buffer` starting at the `offset` using `len` to the end of this Buffer.
    `Buffer` | `appendByte(byte b)` Appends the specified `byte` to the end of the Buffer.
    `Buffer` | `appendDouble(double d)` Appends the specified `double` to the end of the Buffer.
    `Buffer` | `appendFloat(float f)` Appends the specified `float` to the end of the Buffer.
    `Buffer` | `appendInt(int i)` Appends the specified `int` to the end of the Buffer.
    `Buffer` | `appendIntLE(int i)` Appends the specified `int` to the end of the Buffer in the Little Endian Byte Order.
    `Buffer` | `appendLong(long l)` Appends the specified `long` to the end of the Buffer.
    `Buffer` | `appendLongLE(long l)` Appends the specified `long` to the end of the Buffer in the Little Endian Byte Order.
    `Buffer` | `appendMedium(int i)` Appends the specified 24bit `int` to the end of the Buffer.
    `Buffer` | `appendMediumLE(int i)` Appends the specified 24bit `int` to the end of the Buffer in the Little Endian Byte Order.
    `Buffer` | `appendShort(short s)` Appends the specified `short` to the end of the Buffer.The buffer will expand as necessary to accommodate any bytes written.
    `Buffer` | `appendShortLE(short s)` Appends the specified `short` to the end of the Buffer in the Little Endian Byte Order.The buffer will expand as necessary to accommodate any bytes written.
    `Buffer` | `appendString(java.lang.String str, java.lang.String enc)` Appends the specified `String` to the end of the Buffer with the encoding as specified by `enc`.
    `Buffer` | `appendString(java.lang.String str)` Appends the specified `String str` to the end of the Buffer with UTF-8 encoding.
    `Buffer` | `appendUnsignedByte(short b)` Appends the specified unsigned `byte` to the end of the Buffer.
    `Buffer` | `appendUnsignedInt(long i)` Appends the specified unsigned `int` to the end of the Buffer.
    `Buffer` | `appendUnsignedIntLE(long i)` Appends the specified unsigned `int` to the end of the Buffer in the Little Endian Byte Order.
    `Buffer` | `appendUnsignedShort(int s)` Appends the specified unsigned `short` to the end of the Buffer.The buffer will expand as necessary to accommodate any bytes written.
    `Buffer` | `appendUnsignedShortLE(int s)` Appends the specified unsigned `short` to the end of the Buffer in the Little Endian Byte Order.The buffer will expand as necessary to accommodate any bytes written.
    `static Buffer` | `buffer()` Create a new, empty buffer.
    `static Buffer` | `buffer(int initialSizeHint)` Create a new buffer given the initial size hint.
    `static Buffer` | `buffer(java.lang.String string)` Create a new buffer from a string.
    `static Buffer` | `buffer(java.lang.String string, java.lang.String enc)` Create a new buffer from a string and using the specified encoding.
    `Buffer` | `copy()` Returns a copy of the entire Buffer.
    `Buffer` | `getBuffer(int start, int end)` Returns a copy of a sub-sequence the Buffer as a Buffer starting at position `start` and ending at position `end - 1`
    `byte` | `getByte(int pos)` Returns the `byte` at position `pos` in the Buffer.
    `java.lang.Object` | `getDelegate()`
    `double` | `getDouble(int pos)` Returns the `double` at position `pos` in the Buffer.
    `float` | `getFloat(int pos)` Returns the `float` at position `pos` in the Buffer.
    `int` | `getInt(int pos)` Returns the `int` at position `pos` in the Buffer.
    `int` | `getIntLE(int pos)` Gets a 32-bit integer at the specified absolute `index` in this buffer with Little Endian Byte Order.
    `long` | `getLong(int pos)` Returns the `long` at position `pos` in the Buffer.
    `long` | `getLongLE(int pos)` Gets a 64-bit long integer at the specified absolute `index` in this buffer in Little Endian Byte Order.
    `int` | `getMedium(int pos)` Gets a 24-bit medium integer at the specified absolute `index` in this buffer.
    `int` | `getMediumLE(int pos)` Gets a 24-bit medium integer at the specified absolute `index` in this buffer in the Little Endian Byte Order.
    `short` | `getShort(int pos)` Returns the `short` at position `pos` in the Buffer.
    `short` | `getShortLE(int pos)` Gets a 16-bit short integer at the specified absolute `index` in this buffer in Little Endian Byte Order.
    `java.lang.String` | `getString(int start, int end, java.lang.String enc)` Returns a copy of a sub-sequence the Buffer as a `String` starting at position `start` and ending at position `end - 1` interpreted as a String in the specified encoding
    `java.lang.String` | `getString(int start, int end)` Returns a copy of a sub-sequence the Buffer as a `String` starting at position `start` and ending at position `end - 1` interpreted as a String in UTF-8 encoding
    `short` | `getUnsignedByte(int pos)` Returns the unsigned `byte` at position `pos` in the Buffer, as a `short`.
    `long` | `getUnsignedInt(int pos)` Returns the unsigned `int` at position `pos` in the Buffer, as a `long`.
    `long` | `getUnsignedIntLE(int pos)` Returns the unsigned `int` at position `pos` in the Buffer, as a `long` in Little Endian Byte Order.
    `int` | `getUnsignedMedium(int pos)` Gets an unsigned 24-bit medium integer at the specified absolute `index` in this buffer.
    `int` | `getUnsignedMediumLE(int pos)` Gets an unsigned 24-bit medium integer at the specified absolute `index` in this buffer in Little Endian Byte Order.
    `int` | `getUnsignedShort(int pos)` Returns the unsigned `short` at position `pos` in the Buffer, as an `int`.
    `int` | `getUnsignedShortLE(int pos)` Gets an unsigned 16-bit short integer at the specified absolute `index` in this buffer in Little Endian Byte Order.
    `int` | `length()` Returns the length of the buffer, measured in bytes.
    `Buffer` | `setBuffer(int pos, Buffer b)` Sets the bytes at position `pos` in the Buffer to the bytes represented by the `Buffer b`.
    `Buffer` | `setBuffer(int pos, Buffer b, int offset, int len)` Sets the bytes at position `pos` in the Buffer to the bytes represented by the `Buffer b` on the given `offset` and `len`.
    `Buffer` | `setByte(int pos, byte b)` Sets the `byte` at position `pos` in the Buffer to the value `b`.
    `Buffer` | `setDouble(int pos, double d)` Sets the `double` at position `pos` in the Buffer to the value `d`.
    `Buffer` | `setFloat(int pos, float f)` Sets the `float` at position `pos` in the Buffer to the value `f`.
    `Buffer` | `setInt(int pos, int i)` Sets the `int` at position `pos` in the Buffer to the value `i`.
    `Buffer` | `setIntLE(int pos, int i)` Sets the `int` at position `pos` in the Buffer to the value `i` in the Little Endian Byte Order.
    `Buffer` | `setLong(int pos, long l)` Sets the `long` at position `pos` in the Buffer to the value `l`.
    `Buffer` | `setLongLE(int pos, long l)` Sets the `long` at position `pos` in the Buffer to the value `l` in the Little Endian Byte Order.
    `Buffer` | `setMedium(int pos, int i)` Sets the 24bit `int` at position `pos` in the Buffer to the value `i`.
    `Buffer` | `setMediumLE(int pos, int i)` Sets the 24bit `int` at position `pos` in the Buffer to the value `i`. in the Little Endian Byte Order
    `Buffer` | `setShort(int pos, short s)` Sets the `short` at position `pos` in the Buffer to the value `s`.
    `Buffer` | `setShortLE(int pos, short s)` Sets the `short` at position `pos` in the Buffer to the value `s` in the Little Endian Byte Order.
    `Buffer` | `setString(int pos, java.lang.String str)` Sets the bytes at position `pos` in the Buffer to the value of `str` encoded in UTF-8.
    `Buffer` | `setString(int pos, java.lang.String str, java.lang.String enc)` Sets the bytes at position `pos` in the Buffer to the value of `str` encoded in encoding `enc`.
    `Buffer` | `setUnsignedByte(int pos, short b)` Sets the unsigned `byte` at position `pos` in the Buffer to the value `b`.
    `Buffer` | `setUnsignedInt(int pos, long i)` Sets the unsigned `int` at position `pos` in the Buffer to the value `i`.
    `Buffer` | `setUnsignedIntLE(int pos, long i)` Sets the unsigned `int` at position `pos` in the Buffer to the value `i` in the Little Endian Byte Order.
    `Buffer` | `setUnsignedShort(int pos, int s)` Sets the unsigned `short` at position `pos` in the Buffer to the value `s`.
    `Buffer` | `setUnsignedShortLE(int pos, int s)` Sets the unsigned `short` at position `pos` in the Buffer to the value `s` in the Little Endian Byte Order.
    `Buffer` | `slice()` Returns a slice of this buffer.
    `Buffer` | `slice(int start, int end)` Returns a slice of this buffer.
    `java.util.List<java.lang.Object>` | `toJsonArray()` Returns a Json array representation of the Buffer @return
    `java.util.Map<java.lang.String, java.lang.Object>` | `toJsonObject()` Returns a Json object representation of the Buffer @return
    `java.lang.String` | `toString()` Returns a `String` representation of the Buffer with the `UTF-8`encoding @return
    `java.lang.String` | `toString(java.lang.String enc)` Returns a `String` representation of the Buffer with the encoding specified by `enc`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### Buffer(java.lang.Object delegate)

  - ### Method Detail

    - #### Buffer appendBuffer(Buffer buff)

      Appends the specified `Buffer` to the end of this Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        buff

    - #### Buffer appendBuffer(Buffer buff, int offset, int len)

      Appends the specified `Buffer` starting at the `offset` using `len` to the end of this Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        buff
        offset
        len

    - #### Buffer appendByte(byte b)

      Appends the specified `byte` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        b

    - #### Buffer appendDouble(double d)

      Appends the specified `double` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        d

    - #### Buffer appendFloat(float f)

      Appends the specified `float` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        f

    - #### Buffer appendInt(int i)

      Appends the specified `int` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        i

    - #### Buffer appendIntLE(int i)

      Appends the specified `int` to the end of the Buffer in the Little Endian Byte Order. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        i

    - #### Buffer appendLong(long l)

      Appends the specified `long` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        l

    - #### Buffer appendLongLE(long l)

      Appends the specified `long` to the end of the Buffer in the Little Endian Byte Order. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        l

    - #### Buffer appendMedium(int i)

      Appends the specified 24bit `int` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        i

    - #### Buffer appendMediumLE(int i)

      Appends the specified 24bit `int` to the end of the Buffer in the Little Endian Byte Order. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        i

    - #### Buffer appendShort(short s)

      Appends the specified `short` to the end of the Buffer.The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        s

    - #### Buffer appendShortLE(short s)

      Appends the specified `short` to the end of the Buffer in the Little Endian Byte Order.The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        s

    - #### Buffer appendString(java.lang.String str, java.lang.String enc)

      Appends the specified `String` to the end of the Buffer with the encoding as specified by `enc`.

      The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        str
        enc

    - #### Buffer appendString(java.lang.String str)

      Appends the specified `String str` to the end of the Buffer with UTF-8 encoding.

      The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together

      Returns:
      Parameters:
        str

    - #### Buffer appendUnsignedByte(short b)

      Appends the specified unsigned `byte` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        b

    - #### Buffer appendUnsignedInt(long i)

      Appends the specified unsigned `int` to the end of the Buffer. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        i

    - #### Buffer appendUnsignedIntLE(long i)

      Appends the specified unsigned `int` to the end of the Buffer in the Little Endian Byte Order. The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        i

    - #### Buffer appendUnsignedShort(int s)

      Appends the specified unsigned `short` to the end of the Buffer.The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        s

    - #### Buffer appendUnsignedShortLE(int s)

      Appends the specified unsigned `short` to the end of the Buffer in the Little Endian Byte Order.The buffer will expand as necessary to accommodate any bytes written.

      Returns a reference to `this` so multiple operations can be appended together.

      Returns:
      Parameters:
        s

    - #### static Buffer buffer()

      Create a new, empty buffer.

      Returns:
        the buffer

    - #### static Buffer buffer(int initialSizeHint)

      Create a new buffer given the initial size hint.

      If you know the buffer will require a certain size, providing the hint can prevent unnecessary re-allocations as the buffer is written to and resized.

      Returns:
        the buffer
      Parameters:
        `initialSizeHint` - the hint, in bytes

    - #### static Buffer buffer(java.lang.String string)

      Create a new buffer from a string. The string will be UTF-8 encoded into the buffer.

      Returns:
        the buffer
      Parameters:
        `string` - the string

    - #### static Buffer buffer(java.lang.String string, java.lang.String enc)

      Create a new buffer from a string and using the specified encoding. The string will be encoded into the buffer using the specified encoding.

      Returns:
        the buffer
      Parameters:
        `string` - the string
        enc

    - #### Buffer copy()

      Returns a copy of the entire Buffer.

      Returns:

    - #### Buffer getBuffer(int start, int end)

      Returns a copy of a sub-sequence the Buffer as a Buffer starting at position `start` and ending at position `end - 1`

      Returns:
      Parameters:
        start
        end

    - #### byte getByte(int pos)

      Returns the `byte` at position `pos` in the Buffer.

      Returns:
      Parameters:
        pos

    - #### java.lang.Object getDelegate()

    - #### double getDouble(int pos)

      Returns the `double` at position `pos` in the Buffer.

      Returns:
      Parameters:
        pos

    - #### float getFloat(int pos)

      Returns the `float` at position `pos` in the Buffer.

      Returns:
      Parameters:
        pos

    - #### int getInt(int pos)

      Returns the `int` at position `pos` in the Buffer.

      Returns:
      Parameters:
        pos

    - #### int getIntLE(int pos)

      Gets a 32-bit integer at the specified absolute `index` in this buffer with Little Endian Byte Order.

      Returns:
      Parameters:
        pos

    - #### long getLong(int pos)

      Returns the `long` at position `pos` in the Buffer.

      Returns:
      Parameters:
        pos

    - #### long getLongLE(int pos)

      Gets a 64-bit long integer at the specified absolute `index` in this buffer in Little Endian Byte Order.

      Returns:
      Parameters:
        pos

    - #### int getMedium(int pos)

      Gets a 24-bit medium integer at the specified absolute `index` in this buffer.

      Returns:
      Parameters:
        pos

    - #### int getMediumLE(int pos)

      Gets a 24-bit medium integer at the specified absolute `index` in this buffer in the Little Endian Byte Order.

      Returns:
      Parameters:
        pos

    - #### short getShort(int pos)

      Returns the `short` at position `pos` in the Buffer.

      Returns:
      Parameters:
        pos

    - #### short getShortLE(int pos)

      Gets a 16-bit short integer at the specified absolute `index` in this buffer in Little Endian Byte Order.

      Returns:
      Parameters:
        pos

    - #### java.lang.String getString(int start, int end, java.lang.String enc)

      Returns a copy of a sub-sequence the Buffer as a `String` starting at position `start` and ending at position `end - 1` interpreted as a String in the specified encoding

      Returns:
      Parameters:
        start
        end
        enc

    - #### java.lang.String getString(int start, int end)

      Returns a copy of a sub-sequence the Buffer as a `String` starting at position `start` and ending at position `end - 1` interpreted as a String in UTF-8 encoding

      Returns:
      Parameters:
        start
        end

    - #### short getUnsignedByte(int pos)

      Returns the unsigned `byte` at position `pos` in the Buffer, as a `short`.

      Returns:
      Parameters:
        pos

    - #### long getUnsignedInt(int pos)

      Returns the unsigned `int` at position `pos` in the Buffer, as a `long`.

      Returns:
      Parameters:
        pos

    - #### long getUnsignedIntLE(int pos)

      Returns the unsigned `int` at position `pos` in the Buffer, as a `long` in Little Endian Byte Order.

      Returns:
      Parameters:
        pos

    - #### int getUnsignedMedium(int pos)

      Gets an unsigned 24-bit medium integer at the specified absolute `index` in this buffer.

      Returns:
      Parameters:
        pos

    - #### int getUnsignedMediumLE(int pos)

      Gets an unsigned 24-bit medium integer at the specified absolute `index` in this buffer in Little Endian Byte Order.

      Returns:
      Parameters:
        pos

    - #### int getUnsignedShort(int pos)

      Returns the unsigned `short` at position `pos` in the Buffer, as an `int`.

      Returns:
      Parameters:
        pos

    - #### int getUnsignedShortLE(int pos)

      Gets an unsigned 16-bit short integer at the specified absolute `index` in this buffer in Little Endian Byte Order.

      Returns:
      Parameters:
        pos

    - #### int length()

      Returns the length of the buffer, measured in bytes. All positions are indexed from zero.

      Returns:

    - #### Buffer setBuffer(int pos, Buffer b)

      Sets the bytes at position `pos` in the Buffer to the bytes represented by the `Buffer b`.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        b

    - #### Buffer setBuffer(int pos, Buffer b, int offset, int len)

      Sets the bytes at position `pos` in the Buffer to the bytes represented by the `Buffer b` on the given `offset` and `len`.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        b
        offset
        len

    - #### Buffer setByte(int pos, byte b)

      Sets the `byte` at position `pos` in the Buffer to the value `b`.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        b

    - #### Buffer setDouble(int pos, double d)

      Sets the `double` at position `pos` in the Buffer to the value `d`.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        d

    - #### Buffer setFloat(int pos, float f)

      Sets the `float` at position `pos` in the Buffer to the value `f`.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        f

    - #### Buffer setInt(int pos, int i)

      Sets the `int` at position `pos` in the Buffer to the value `i`.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        i

    - #### Buffer setIntLE(int pos, int i)

      Sets the `int` at position `pos` in the Buffer to the value `i` in the Little Endian Byte Order.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        i

    - #### Buffer setLong(int pos, long l)

      Sets the `long` at position `pos` in the Buffer to the value `l`.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        l

    - #### Buffer setLongLE(int pos, long l)

      Sets the `long` at position `pos` in the Buffer to the value `l` in the Little Endian Byte Order.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        l

    - #### Buffer setMedium(int pos, int i)

      Sets the 24bit `int` at position `pos` in the Buffer to the value `i`.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        i

    - #### Buffer setMediumLE(int pos, int i)

      Sets the 24bit `int` at position `pos` in the Buffer to the value `i`. in the Little Endian Byte Order

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        i

    - #### Buffer setShort(int pos, short s)

      Sets the `short` at position `pos` in the Buffer to the value `s`.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        s

    - #### Buffer setShortLE(int pos, short s)

      Sets the `short` at position `pos` in the Buffer to the value `s` in the Little Endian Byte Order.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        s

    - #### Buffer setString(int pos, java.lang.String str)

      Sets the bytes at position `pos` in the Buffer to the value of `str` encoded in UTF-8.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        str

    - #### Buffer setString(int pos, java.lang.String str, java.lang.String enc)

      Sets the bytes at position `pos` in the Buffer to the value of `str` encoded in encoding `enc`.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        str
        enc

    - #### Buffer setUnsignedByte(int pos, short b)

      Sets the unsigned `byte` at position `pos` in the Buffer to the value `b`.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        b

    - #### Buffer setUnsignedInt(int pos, long i)

      Sets the unsigned `int` at position `pos` in the Buffer to the value `i`.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        i

    - #### Buffer setUnsignedIntLE(int pos, long i)

      Sets the unsigned `int` at position `pos` in the Buffer to the value `i` in the Little Endian Byte Order.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        i

    - #### Buffer setUnsignedShort(int pos, int s)

      Sets the unsigned `short` at position `pos` in the Buffer to the value `s`.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        s

    - #### Buffer setUnsignedShortLE(int pos, int s)

      Sets the unsigned `short` at position `pos` in the Buffer to the value `s` in the Little Endian Byte Order.

      The buffer will expand as necessary to accommodate any value written.

      Returns:
      Parameters:
        pos
        s

    - #### Buffer slice()

      Returns a slice of this buffer. Modifying the content of the returned buffer or this buffer affects each other's content while they maintain separate indexes and marks.

      Returns:

    - #### Buffer slice(int start, int end)

      Returns a slice of this buffer. Modifying the content of the returned buffer or this buffer affects each other's content while they maintain separate indexes and marks.

      Returns:
      Parameters:
        start
        end

    - #### java.util.List<java.lang.Object> toJsonArray()

      Returns a Json array representation of the Buffer

      Returns:

    - #### java.util.Map<java.lang.String, java.lang.Object> toJsonObject()

      Returns a Json object representation of the Buffer

      Returns:

    - #### java.lang.String toString()

      Returns a `String` representation of the Buffer with the `UTF-8`encoding

      Returns:

    - #### java.lang.String toString(java.lang.String enc)

      Returns a `String` representation of the Buffer with the encoding specified by `enc`

      Returns:
      Parameters:
        enc